'------------------------------------------------------------------------
'  fileplanet.vbs (v1.0)
'------------------------------------------------------------------------
'
' *** SCRIPT REQUEST ***
'
' Grabs all the news items from fileplanet.com
'
' Use either the GetNews function to display the news directly, or read
' it from the fileplanet.tmp file created by the GetNewsTempFile
' function.
'
' 					                       - NeM 
'------------------------------------------------------------------------
' Stop by NeM Portal at http://samurize.breezeland.com/
'------------------------------------------------------------------------

FILEPLANET_URL = "http://www.fileplanet.com/"

Function GetNews()		

	dim htmlResult,output,newsItem,mainFeature
	htmlResult = ReturnHTML(FILEPLANET_URL)
	output = NULL

	startPos = instr(htmlResult, "<title>FilePlanet")

	if startPos > 0 then

		' do main feature
		posOne = instr( startPos, htmlResult, "<div id=""feature1"">")

		posOne = instr( posOne, htmlResult, ".shtml"">") + 8
		posOne = instr( posOne, htmlResult, ".shtml"">") + 8

		posTwo = instr( posOne, htmlResult, "</a>")

		if posOne > 0 AND posTwo > posOne Then

			'grab the name of the main feature
			mainFeature = right(mid( htmlResult, posOne, posTwo-posOne ), posTwo-posOne)

		end if

		output = output & mainFeature  & (Chr(13) & Chr(10))


		' do each normal feature
		Do While instr(startPos, htmlResult, "class=""feature"">")>0

			posOne = instr( startPos, htmlResult, "class=""feature"">")
			posOne = instr( posOne, htmlResult, ".shtml"">") + 8	

			posTwo = instr( posOne, htmlResult, "</a>")

			if posOne > 0 AND posTwo > posOne Then

				'grab the name of the news item
				newsItem = right(mid( htmlResult, posOne, posTwo-posOne ), posTwo-posOne)

			end if

			' new start position
			startPos = posTwo

			'append the user to the list and put a newline char after it
			output = output & newsItem

			' don't add a newline to the last news item
			If instr(startPos, htmlResult, "class=""feature"">")>0 Then
				output = output & (Chr(13) & Chr(10))
			End If



		Loop

	else
		output = "News unavailable or blocked by ads."
	end if

	GetNews = output
End Function

Function GetNewsTempFile()

	set fs=CreateObject("Scripting.FileSystemObject")
	set f=fs.CreateTextFile("fileplanet.tmp",true)
	f.write(GetNews())
	f.close
	set f=nothing
	set fs=nothing

	GetNewsTempFile = "OK"

End Function

Private Function ReturnHTML(sURL)
	Dim objXMLHTTP,HTML
	Set objXMLHTTP = CreateObject("Microsoft.XMLHTTP")
	objXMLHTTP.Open "GET", sURL, False
	objXMLHTTP.Send
	HTML = objXMLHTTP.responseBody
	Set objRS = CreateObject("ADODB.Recordset")
	objRS.Fields.Append "txt", 200, 45000, &H00000080
	objRS.Open
	objRS.AddNew
	objRS.Fields("txt").AppendChunk HTML
	ReturnHTML = objRS("txt").Value
	objRS.Close
	Set objRS = Nothing
	Set objXMLHTTP = Nothing
End Function
